import pytest

from majordome.github_service import GithubConnector
from majordome.settings import GithubSettings
from majordome.software_repo import SoftwareRepo

github_settings = GithubSettings()


@pytest.fixture
def github_token():
    return github_settings.token


@pytest.fixture
def project_url():
    return "https://github.com/FreeTubeApp/FreeTube"


@pytest.fixture
def github_connector(github_token):
    return GithubConnector(github_token)


@pytest.fixture
def freetube_tag_name_mnemonic():
    return "v{{VERSION}}-beta"


@pytest.fixture
def freetube_amd64_deb_mnemonic():
    return "freetube_{{VERSION}}_amd64.deb"


@pytest.fixture
def freetube_repo(
    project_url,
    github_connector,
    freetube_tag_name_mnemonic,
    freetube_amd64_deb_mnemonic,
):
    return SoftwareRepo(
        project_url,
        github_connector,
        freetube_tag_name_mnemonic,
        freetube_amd64_deb_mnemonic,
    )
